Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class ScrollbarOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ScrollbarOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class ScrollbarOperator
extends ComponentOperator
implements Timeoutable, Outputable

Timeouts used:
ScrollbarOperator.WholeScrollTimeout - time for one scroll click
ComponentOperator.WaitComponentTimeout - time to wait component displayed
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `ScrollbarOperator.ScrollbarFinder` Checks component type.

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`ScrollbarOperator(ContainerOperator cont)` Constructs a ScrollbarOperator object.
`ScrollbarOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a ScrollbarOperator object.
`ScrollbarOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a ScrollbarOperator object.
`ScrollbarOperator(ContainerOperator cont, int index)` Constructs a ScrollbarOperator object.
`ScrollbarOperator(java.awt.Scrollbar b)` Constructs a ScrollbarOperator object.

Method Summary
`void` | `addAdjustmentListener(java.awt.event.AdjustmentListener adjustmentListener)` Maps `Scrollbar.addAdjustmentListener(AdjustmentListener)` through queue
`void` | `copyEnvironment(Operator anotherOperator)` Copies all environment (output, timeouts, visualizer) from another operator.
`static java.awt.Scrollbar` | `findScrollbar(java.awt.Container cont)` Finds a scrollbar.
`static java.awt.Scrollbar` | `findScrollbar(java.awt.Container cont, ComponentChooser chooser)` Finds a scrollbar.
`static java.awt.Scrollbar` | `findScrollbar(java.awt.Container cont, ComponentChooser chooser, int index)` Finds a scrollbar.
`static java.awt.Scrollbar` | `findScrollbar(java.awt.Container cont, int index)` Finds a scrollbar.
`int` | `getBlockIncrement()` Maps `Scrollbar.getBlockIncrement()` through queue
`int` | `getMaximum()` Maps `Scrollbar.getMaximum()` through queue
`int` | `getMinimum()` Maps `Scrollbar.getMinimum()` through queue
`int` | `getOrientation()` Maps `Scrollbar.getOrientation()` through queue
`TestOut` | `getOutput()` Returns print output streams or writers.
`Timeouts` | `getTimeouts()` Return current timeouts.
`int` | `getUnitIncrement()` Maps `Scrollbar.getUnitIncrement()` through queue
`int` | `getValue()` Maps `Scrollbar.getValue()` through queue
`int` | `getVisibleAmount()` Maps `Scrollbar.getVisibleAmount()` through queue
`void` | `removeAdjustmentListener(java.awt.event.AdjustmentListener adjustmentListener)` Maps `Scrollbar.removeAdjustmentListener(AdjustmentListener)` through queue
`void` | `scrollTo(ScrollAdjuster adj)` Scrolls scrollbar to the position defined by a ScrollAdjuster implementation.
`void` | `scrollTo(Waitable w, java.lang.Object waiterParam, boolean increase)` Scrolls scrollbar to the position defined by w parameter.
`void` | `scrollToMaximum()` Scrolls to maximum value.
`void` | `scrollToMinimum()` Scrolls to minimum value.
`void` | `scrollToValue(double proportionalValue)` Scrolls scroll bar to necessary proportional value.
`void` | `scrollToValue(int value)` Scrolls scroll bar to necessary value.
`void` | `setBlockIncrement(int i)` Maps `Scrollbar.setBlockIncrement(int)` through queue
`void` | `setMaximum(int i)` Maps `Scrollbar.setMaximum(int)` through queue
`void` | `setMinimum(int i)` Maps `Scrollbar.setMinimum(int)` through queue
`void` | `setOrientation(int i)` Maps `Scrollbar.setOrientation(int)` through queue
`void` | `setOutput(TestOut out)` Defines print output streams or writers.
`void` | `setTimeouts(Timeouts timeouts)` Defines current timeouts.
`void` | `setUnitIncrement(int i)` Maps `Scrollbar.setUnitIncrement(int)` through queue
`void` | `setValue(int i)` Maps `Scrollbar.setValue(int)` through queue
`void` | `setValues(int i, int i1, int i2, int i3)` Maps `Scrollbar.setValues(int, int, int, int)` through queue
`void` | `setVisibleAmount(int i)` Maps `Scrollbar.setVisibleAmount(int)` through queue
`static java.awt.Scrollbar` | `waitScrollbar(java.awt.Container cont)` Waits a scrollbar.
`static java.awt.Scrollbar` | `waitScrollbar(java.awt.Container cont, ComponentChooser chooser)` Waits a scrollbar.
`static java.awt.Scrollbar` | `waitScrollbar(java.awt.Container cont, ComponentChooser chooser, int index)` Waits a scrollbar.
`static java.awt.Scrollbar` | `waitScrollbar(java.awt.Container cont, int index)` Waits a scrollbar.

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterXForClick, getCenterY, getCenterYForClick, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getDump, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScrollbarOperator

    public ScrollbarOperator(java.awt.Scrollbar b)

  Constructs a ScrollbarOperator object.
  Parameters:
    `b` - a component

### ScrollbarOperator

    public ScrollbarOperator(ContainerOperator cont,
                             ComponentChooser chooser,
                             int index)

  Constructs a ScrollbarOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### ScrollbarOperator

    public ScrollbarOperator(ContainerOperator cont,
                             ComponentChooser chooser)

  Constructs a ScrollbarOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### ScrollbarOperator

    public ScrollbarOperator(ContainerOperator cont,
                             int index)

  Constructs a ScrollbarOperator object.
  Parameters:
    `cont` - a container
    `index` - an index between appropriate ones.

### ScrollbarOperator

    public ScrollbarOperator(ContainerOperator cont)

  Constructs a ScrollbarOperator object.
  Parameters:
    `cont` - a container

Method Detail

### findScrollbar

    public static java.awt.Scrollbar findScrollbar(java.awt.Container cont,
                                                   ComponentChooser chooser,
                                                   int index)

  Finds a scrollbar.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.
  Returns:
    the scrollbar fitting searching criteria

### findScrollbar

    public static java.awt.Scrollbar findScrollbar(java.awt.Container cont,
                                                   ComponentChooser chooser)

  Finds a scrollbar.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    the scrollbar fitting searching criteria

### findScrollbar

    public static java.awt.Scrollbar findScrollbar(java.awt.Container cont,
                                                   int index)

  Finds a scrollbar.
  Parameters:
    `cont` - a container
    `index` - an index between appropriate ones.
  Returns:
    the scrollbar fitting searching criteria

### findScrollbar

    public static java.awt.Scrollbar findScrollbar(java.awt.Container cont)

  Finds a scrollbar.
  Parameters:
    `cont` - a container
  Returns:
    the scrollbar fitting searching criteria

### waitScrollbar

    public static java.awt.Scrollbar waitScrollbar(java.awt.Container cont,
                                                   ComponentChooser chooser,
                                                   int index)

  Waits a scrollbar.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.
  Returns:
    the scrollbar fitting searching criteria

### waitScrollbar

    public static java.awt.Scrollbar waitScrollbar(java.awt.Container cont,
                                                   ComponentChooser chooser)

  Waits a scrollbar.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    the scrollbar fitting searching criteria

### waitScrollbar

    public static java.awt.Scrollbar waitScrollbar(java.awt.Container cont,
                                                   int index)

  Waits a scrollbar.
  Parameters:
    `cont` - a container
    `index` - an index between appropriate ones.
  Returns:
    the scrollbar fitting searching criteria

### waitScrollbar

    public static java.awt.Scrollbar waitScrollbar(java.awt.Container cont)

  Waits a scrollbar.
  Parameters:
    `cont` - a container
  Returns:
    the scrollbar fitting searching criteria

### setOutput

    public void setOutput(TestOut out)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `ComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `ComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### setTimeouts

    public void setTimeouts(Timeouts timeouts)

  Description copied from interface: `Timeoutable`
  Defines current timeouts.
  Specified by:
    `setTimeouts` in interface `Timeoutable`
  Overrides:
    `setTimeouts` in class `ComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Parameters:
    `t` - A collection of timeout assignments.
  See Also:
    `Timeoutable.getTimeouts()`

### getTimeouts

    public Timeouts getTimeouts()

  Description copied from interface: `Timeoutable`
  Return current timeouts.
  Specified by:
    `getTimeouts` in interface `Timeoutable`
  Overrides:
    `getTimeouts` in class `ComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Returns:
    the collection of current timeout assignments.
  See Also:
    `Timeoutable.setTimeouts(org.netbeans.jemmy.Timeouts)`

### copyEnvironment

    public void copyEnvironment(Operator anotherOperator)

  Description copied from class: `Operator`
  Copies all environment (output, timeouts, visualizer) from another operator.
  Overrides:
    `copyEnvironment` in class `ComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Parameters:
    `anotherOperator` - an operator to copy the environment to.

### scrollTo

    public void scrollTo(Waitable w,
                         java.lang.Object waiterParam,
                         boolean increase)

  Scrolls scrollbar to the position defined by w parameter. Uses ScrollDriver registered to this operator type.
  Parameters:
    `w` - Scrolling is stopped when w.actionProduced(waiterParam) != null
    `waiterParam` - a waiting parameter.
    `increase` - a scrolling direction.
  Throws:
    `TimeoutExpiredException` -

### scrollTo

    public void scrollTo(ScrollAdjuster adj)

  Scrolls scrollbar to the position defined by a ScrollAdjuster implementation.
  Parameters:
    `adj` - defines scrolling direction, and so on.
  Throws:
    `TimeoutExpiredException` -

### scrollToValue

    public void scrollToValue(int value)

  Scrolls scroll bar to necessary value.
  Parameters:
    `value` - Scroll bar value to scroll to.
  Throws:
    `TimeoutExpiredException` -

### scrollToValue

    public void scrollToValue(double proportionalValue)

  Scrolls scroll bar to necessary proportional value.
  Parameters:
    `proportionalValue` - Proportional scroll to. Must be >= 0 and <= 1.
  Throws:
    `TimeoutExpiredException` -

### scrollToMinimum

    public void scrollToMinimum()

  Scrolls to minimum value.
  Throws:
    `TimeoutExpiredException` -

### scrollToMaximum

    public void scrollToMaximum()

  Scrolls to maximum value.
  Throws:
    `TimeoutExpiredException` -

### addAdjustmentListener

    public void addAdjustmentListener(java.awt.event.AdjustmentListener adjustmentListener)

  Maps `Scrollbar.addAdjustmentListener(AdjustmentListener)` through queue

### getBlockIncrement

    public int getBlockIncrement()

  Maps `Scrollbar.getBlockIncrement()` through queue

### getMaximum

    public int getMaximum()

  Maps `Scrollbar.getMaximum()` through queue

### getMinimum

    public int getMinimum()

  Maps `Scrollbar.getMinimum()` through queue

### getOrientation

    public int getOrientation()

  Maps `Scrollbar.getOrientation()` through queue

### getUnitIncrement

    public int getUnitIncrement()

  Maps `Scrollbar.getUnitIncrement()` through queue

### getValue

    public int getValue()

  Maps `Scrollbar.getValue()` through queue

### getVisibleAmount

    public int getVisibleAmount()

  Maps `Scrollbar.getVisibleAmount()` through queue

### removeAdjustmentListener

    public void removeAdjustmentListener(java.awt.event.AdjustmentListener adjustmentListener)

  Maps `Scrollbar.removeAdjustmentListener(AdjustmentListener)` through queue

### setBlockIncrement

    public void setBlockIncrement(int i)

  Maps `Scrollbar.setBlockIncrement(int)` through queue

### setMaximum

    public void setMaximum(int i)

  Maps `Scrollbar.setMaximum(int)` through queue

### setMinimum

    public void setMinimum(int i)

  Maps `Scrollbar.setMinimum(int)` through queue

### setOrientation

    public void setOrientation(int i)

  Maps `Scrollbar.setOrientation(int)` through queue

### setUnitIncrement

    public void setUnitIncrement(int i)

  Maps `Scrollbar.setUnitIncrement(int)` through queue

### setValue

    public void setValue(int i)

  Maps `Scrollbar.setValue(int)` through queue

### setValues

    public void setValues(int i,
                          int i1,
                          int i2,
                          int i3)

  Maps `Scrollbar.setValues(int, int, int, int)` through queue

### setVisibleAmount

    public void setVisibleAmount(int i)

  Maps `Scrollbar.setVisibleAmount(int)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD